#pragma once
#ifndef __SYSTEMTIME_H__
#define __SYSTEMTIME_H__

#pragma pack(push, 0x01)

class CSystemTime
{
public:
	static CSystemTime* G_CSystemTime(void)
	{
		return (CSystemTime*)base::GlobalData::s_systemTime_;
	}

	CSystemTime()
	{
		CallT<int>(base::CSystemTime::CSystemTime_make, this);
	}

	~CSystemTime()
	{
		CallT<int>(base::CSystemTime::CSystemTime_destroy, this);
	}

	int getCurSec()
	{
		return CallT<int>(base::CSystemTime::getCurSec, this);
	}

	int getCurTickCount()
	{
		return CallT<int>(base::CSystemTime::getCurTickCount, this);
	}

	int getCurDate()
	{
		return CallT<int>(base::CSystemTime::getCurDate, this);
	}

	int update()
	{
		return CallT<int>(base::CSystemTime::update, this);
	}

};

#pragma pack(pop)

#endif // __SYSTEMTIME_H__

